﻿/**Begin D:\work_word\PDM\PDM_UPGRADE\pdm1\AICC_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AICC_CONFIG')
 CREATE TABLE T_AICC_CONFIG (
FID BIGINT DEFAULT 0 NOT NULL,
FPUBLICCLOUDSERVERURL VARCHAR(150) DEFAULT ' ' NOT NULL,
FSECRETKEY VARCHAR(512) DEFAULT ' ' NOT NULL,
FUSERSECETKEY VARCHAR(512) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FTENANTID BIGINT
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AICC_CONFIG_R3')
 CREATE TABLE T_AICC_CONFIG_R3 (
FID BIGINT DEFAULT 0 NOT NULL,
FREFSTATUS CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AICC_INSTANCE')
 CREATE TABLE T_AICC_INSTANCE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FSERVICEID BIGINT DEFAULT 0 NOT NULL,
FPROTOCOL VARCHAR(50) DEFAULT ' ' NOT NULL,
FHOST VARCHAR(200) DEFAULT ' ' NOT NULL,
FPORT BIGINT DEFAULT 0 NOT NULL,
FAUTHTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCLIENTID VARCHAR(512) DEFAULT ' ' NOT NULL,
FSECRETKEY VARCHAR(512) DEFAULT ' ' NOT NULL,
FCONTEXTURL VARCHAR(500) DEFAULT ' ' NOT NULL,
FMAXPARALLEL BIGINT DEFAULT 0 NOT NULL,
FUSERSECETKEY VARCHAR(512) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AICC_INSTANCE_L')
 CREATE TABLE T_AICC_INSTANCE_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AICC_INSTANCE_R3')
 CREATE TABLE T_AICC_INSTANCE_R3 (
FID BIGINT DEFAULT 0 NOT NULL,
FREFSTATUS CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AICC_SERVICE')
 CREATE TABLE T_AICC_SERVICE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FREQUESTSAMPLE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREQUESTSAMPLE_TAG NCLOB DEFAULT ' ',
FRESPONSESAMPLE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FRESPONSESAMPLE_TAG NCLOB DEFAULT ' ',
FSUPPORTSTREAM CHAR(1) DEFAULT '0' NOT NULL,
FGROUPID BIGINT DEFAULT 0 NOT NULL,
FVERSION VARCHAR(50) DEFAULT ' ' NOT NULL,
FDESC NVARCHAR(2000)
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AICC_SERVICE_L')
 CREATE TABLE T_AICC_SERVICE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AICC_SERVICE_R3')
 CREATE TABLE T_AICC_SERVICE_R3 (
FID BIGINT DEFAULT 0 NOT NULL,
FREFSTATUS CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AICC_TASK')
 CREATE TABLE T_AICC_TASK (
FID BIGINT DEFAULT 0 NOT NULL,
FSERVICEID BIGINT DEFAULT 0 NOT NULL,
FINSTANCEID BIGINT DEFAULT 0 NOT NULL,
FTENANTID BIGINT DEFAULT 0 NOT NULL,
FRESULT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FRESULT_TAG NCLOB,
FERRMSG NVARCHAR(1024) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FREQUESTBODY NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREQUESTBODY_TAG NCLOB,
FPRIORITY BIGINT DEFAULT 0 NOT NULL,
FISASYNC CHAR(1) DEFAULT '0' NOT NULL,
FLASTUPDATETIME DATETIME,
FERRCODE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FISSTREAM CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AICC_TASK_HISTORY')
 CREATE TABLE T_AICC_TASK_HISTORY (
FID BIGINT DEFAULT 0 NOT NULL,
FTASKID BIGINT DEFAULT 0 NOT NULL,
FERRMSG NVARCHAR(1024) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FLASTUPDATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AICC_TENANT')
 CREATE TABLE T_AICC_TENANT (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FBUYQPS BIGINT DEFAULT 0 NOT NULL,
FCQTENANTID VARCHAR(200) DEFAULT ' ' NOT NULL,
FPRODINSTID VARCHAR(200) DEFAULT ' ' NOT NULL,
FTENANTTYPE VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AICC_TENANT_L')
 CREATE TABLE T_AICC_TENANT_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AICC_TENANT_R3')
 CREATE TABLE T_AICC_TENANT_R3 (
FID BIGINT DEFAULT 0 NOT NULL,
FREFSTATUS CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AICC_CONFIG_L')
 CREATE TABLE T_AICC_CONFIG_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AICC_SERVICETYPE')
 CREATE TABLE T_AICC_SERVICETYPE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AICC_SERVICETYPE_L')
 CREATE TABLE T_AICC_SERVICETYPE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AICC_SERVICETYPE_R3')
 CREATE TABLE T_AICC_SERVICETYPE_R3 (
FID BIGINT DEFAULT 0 NOT NULL,
FREFSTATUS CHAR(1) DEFAULT '0' NOT NULL
);



/**End D:\work_word\PDM\PDM_UPGRADE\pdm1\AICC_table.sql **/
/**Begin D:\work_word\PDM\PDM_UPGRADE\pdm1\AICC_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_AICC_CONFIG', 'T_AICC_CONFIG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AICC_CONFIG_FURL') CREATE INDEX IDX_AICC_CONFIG_FURL ON T_AICC_CONFIG ( FPUBLICCLOUDSERVERURL );


 EXEC P_ALTERPK 'PK_T_AICC_CONFIG_R3', 'T_AICC_CONFIG_R3', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AICC_CONFIG_R3_FREFSTATUS') CREATE INDEX IDX_AICC_CONFIG_R3_FREFSTATUS ON T_AICC_CONFIG_R3 ( FREFSTATUS );


 EXEC P_ALTERPK 'PK_T_AICC_INSTANCE', 'T_AICC_INSTANCE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AICC_INSTANCE_FSERVICEID') CREATE INDEX IDX_AICC_INSTANCE_FSERVICEID ON T_AICC_INSTANCE ( FSERVICEID );


 EXEC P_ALTERPK 'PK_T_AICC_INSTANCE_L', 'T_AICC_INSTANCE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AICC_INSTANCE_L_FID') CREATE INDEX IDX_AICC_INSTANCE_L_FID ON T_AICC_INSTANCE_L ( FID );


 EXEC P_ALTERPK 'PK_T_AICC_INSTANCE_R3', 'T_AICC_INSTANCE_R3', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AICC_INSTANCE_R3_FRS') CREATE INDEX IDX_AICC_INSTANCE_R3_FRS ON T_AICC_INSTANCE_R3 ( FREFSTATUS );


 EXEC P_ALTERPK 'PK_T_AICC_SERVICE', 'T_AICC_SERVICE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AICC_SERVICE_FNUMBER') CREATE INDEX IDX_AICC_SERVICE_FNUMBER ON T_AICC_SERVICE ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_AICC_SERVICE_L', 'T_AICC_SERVICE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AICC_SERVICE_L_FID') CREATE INDEX IDX_AICC_SERVICE_L_FID ON T_AICC_SERVICE_L ( FID );


 EXEC P_ALTERPK 'PK_T_AICC_SERVICE_R3', 'T_AICC_SERVICE_R3', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AICC_SERVICE_R3_FREFSTATUS') CREATE INDEX IDX_AICC_SERVICE_R3_FREFSTATUS ON T_AICC_SERVICE_R3 ( FREFSTATUS );


 EXEC P_ALTERPK 'PK_T_AICC_TASK', 'T_AICC_TASK', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AICC_TASK_SERVICE_ID') CREATE INDEX IDX_AICC_TASK_SERVICE_ID ON T_AICC_TASK ( FSERVICEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AICC_TASK_INSTANCE_ID') CREATE INDEX IDX_AICC_TASK_INSTANCE_ID ON T_AICC_TASK ( FINSTANCEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AICC_TASK_TENANT_ID') CREATE INDEX IDX_AICC_TASK_TENANT_ID ON T_AICC_TASK ( FTENANTID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AICC_TASK_CREATETIME') CREATE INDEX IDX_AICC_TASK_CREATETIME ON T_AICC_TASK ( FCREATETIME );


 EXEC P_ALTERPK 'PK_T_AICC_TASK_HISTORY', 'T_AICC_TASK_HISTORY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AICC_TASK_HISTORY_FTASKID') CREATE INDEX IDX_AICC_TASK_HISTORY_FTASKID ON T_AICC_TASK_HISTORY ( FTASKID );


 EXEC P_ALTERPK 'PK_T_AICC_TENANT', 'T_AICC_TENANT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AICC_TENANT_FNUMBER') CREATE INDEX IDX_AICC_TENANT_FNUMBER ON T_AICC_TENANT ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_AICC_TENANT_L', 'T_AICC_TENANT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AICC_TENANT_L_FID') CREATE INDEX IDX_AICC_TENANT_L_FID ON T_AICC_TENANT_L ( FID );


 EXEC P_ALTERPK 'PK_T_AICC_TENANT_R3', 'T_AICC_TENANT_R3', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AICC_TENANT_R3_FREFSTATUS') CREATE INDEX IDX_AICC_TENANT_R3_FREFSTATUS ON T_AICC_TENANT_R3 ( FREFSTATUS );


 EXEC P_ALTERPK 'PK_T_AICC_CONFIG_L', 'T_AICC_CONFIG_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AICC_CONFIG_L_FID') CREATE INDEX IDX_AICC_CONFIG_L_FID ON T_AICC_CONFIG_L ( FID );


 EXEC P_ALTERPK 'PK_T_AICC_SERVICETYPE', 'T_AICC_SERVICETYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AICC_SERVICETYPE_FNUMBER') CREATE INDEX IDX_AICC_SERVICETYPE_FNUMBER ON T_AICC_SERVICETYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_AICC_SERVICETYPE_L', 'T_AICC_SERVICETYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AICC_SERVICETYPE_L_FID') CREATE INDEX IDX_AICC_SERVICETYPE_L_FID ON T_AICC_SERVICETYPE_L ( FID );


 EXEC P_ALTERPK 'PK_T_AICC_SERVICETYPE_R3', 'T_AICC_SERVICETYPE_R3', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AICC_SERVICETYPE_R3_FRS') CREATE INDEX IDX_AICC_SERVICETYPE_R3_FRS ON T_AICC_SERVICETYPE_R3 ( FREFSTATUS );



/**End D:\work_word\PDM\PDM_UPGRADE\pdm1\AICC_constraint.sql **/
